## kgx 0.2.1

=== meson_options.txt ===

option('gtop',
       type: 'boolean',
       value: true,
       description: 'Use libgtop to track children, you probably DO want this')

option('gtk_doc',
       type: 'boolean',
       value: false,
       description: 'Whether to generate the API reference, you probably don\'t want this')

option('gir',
       type: 'boolean',
       value: false,
       description: 'Whether to generate GIR, you probably don\'t want this')

option('vapi',
       type: 'boolean',
       value: false,
       description: 'Whether to generate VAPI, you probably don\'t want this')

option('generic',
       type: 'boolean',
       value: false,
       description: 'Present using the generic name "Terminal"')

option('tests',
       type: 'boolean',
       value: false,
       description: 'Enable tests')

=== debian/changelog ===
kgx (0.2.1-2) unstable; urgency=medium

  [ Federico Ceratto ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Arnaud Ferraris ]
  * d/copyright: add missing copyright entries for icons
  * d/control: change maintainer to DebianOnMobile team

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Thu, 17 Sep 2020 15:23:29 +0200

kgx (0.2.1-1) unstable; urgency=medium

  * Initial Debian release (Closes: #956839)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Wed, 15 Apr 2020 21:30:39 +0200

=== debian/control ===
Source: kgx
Section: gnome
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <arnaud.ferraris@gmail.com>
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 libgtk-3-dev (>= 3.24.0),
 libhandy-0.0-dev (>= 0.0.9),
 gsettings-desktop-schemas-dev (>= 0.1.0),
 libglib2.0-dev (>= 2.58.0),
 libpcre2-dev (>= 10.00),
 libvte-2.91-dev (>= 0.54.2),
 libgtop2-dev,
 meson,
# Tests:
 gobject-introspection,
 libgirepository1.0-dev,
 python3-gi,
 at-spi2-core,
 xvfb,
 xauth,
Standards-Version: 4.5.0
Homepage: https://gitlab.gnome.org/ZanderBrown/kgx
Vcs-Browser: https://salsa.debian.org/awai-guest/kgx
Vcs-Git: https://salsa.debian.org/awai-guest/kgx.git
Rules-Requires-Root: no

Package: kgx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gsettings-desktop-schemas (>= 0.1.0),
Description: Simple user-friendly terminal emulator for the GNOME desktop
 Kings Cross is a simple terminal emulator for GNOME that adjusts nicely
 to small screen sizes and touch usage.

=== debian/tests/control ===
Test-Command: /usr/bin/kgx --version
Restrictions: superficial
Depends: kgx

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/kgx.*\.tar\.gz/kgx-$1\.tar\.gz/g \
  https://gitlab.gnome.org/ZanderBrown/kgx/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## kgx 0.4.0

=== meson_options.txt ===

option('gtk_doc',
       type: 'boolean',
       value: false,
       description: 'Whether to generate the API reference, you probably don\'t want this')

option('generic',
       type: 'boolean',
       value: false,
       description: 'Present using the generic name "Terminal"')

option('tests',
       type: 'boolean',
       value: false,
       description: 'Enable tests')

option('sassc',
       type: 'feature',
       value: 'auto',
       description: 'Rebuild styles using sassc')

option('nautilus',
       type: 'feature',
       value: 'auto',
       description: 'Nautilus plug-in')

=== debian/changelog ===
kgx (0.4.0-1) unstable; urgency=medium

  * d/gbp.conf: remove the 'v' from debian tag
  * New upstream version 0.4.0
  * d/control: fix Vcs-* URLs and update build dependencies (Closes: #993853)
  * d/rules: enable tests by default
  * d/copyright: update for new release and reformat
  * d/patches: remove deprecated patches
  * d/patches: don't set custom RPATH for private library

 -- Arnaud Ferraris <arnaud.ferraris@collabora.com>  Mon, 08 Nov 2021 13:02:24 +0100

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,24 @@
  appstream-util,
  debhelper-compat (= 13),
  desktop-file-utils,
+ git,
+ gsettings-desktop-schemas-dev (>= 0.1.0),
+ libglib2.0-dev (>= 2.62.0),
  libgtk-3-dev (>= 3.24.0),
- libhandy-0.0-dev (>= 0.0.9),
- gsettings-desktop-schemas-dev (>= 0.1.0),
- libglib2.0-dev (>= 2.58.0),
+ libhandy-1-dev (>= 1.1.0),
  libpcre2-dev (>= 10.00),
- libvte-2.91-dev (>= 0.54.2),
+ libvte-2.91-dev (>= 0.65),
  libgtop2-dev,
  meson,
+ sassc,
 # Tests:
- gobject-introspection,
- libgirepository1.0-dev,
- python3-gi,
- at-spi2-core,
- xvfb,
- xauth,
-Standards-Version: 4.5.0
+ at-spi2-core <!nocheck>,
+ xvfb <!nocheck>,
+ xauth <!nocheck>,
+Standards-Version: 4.6.0
 Homepage: https://gitlab.gnome.org/ZanderBrown/kgx
-Vcs-Browser: https://salsa.debian.org/awai-guest/kgx
-Vcs-Git: https://salsa.debian.org/awai-guest/kgx.git
+Vcs-Browser: https://salsa.debian.org/DebianOnMobile/kgx
+Vcs-Git: https://salsa.debian.org/DebianOnMobile/kgx.git
 Rules-Requires-Root: no
 
 Package: kgx

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifneq ($(filter pkg.kgx.generic,$(DEB_BUILD_PROFILES)),)
	MESON_OPTS += -Dgeneric=true
else
	MESON_OPTS += -Dgeneric=false
endif

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	MESON_OPTS += -Dtests=true
else
	MESON_OPTS += -Dtests=false
endif

%:
	dh $@ --builddirectory=_build

override_dh_auto_configure:
	dh_auto_configure -- $(MESON_OPTS)

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run ninja -C _build test
endif
